jQuery Accordion Pane, goes with Accordion Container

uses |
package | ZendX_JQuery
subpackage | View
copyright | Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
license | New BSD License
inherited_from | \ZendX_JQuery_View_Helper_UiWidgetPane

### Methods

## Add accordion pane to the accordion with $id

    accordionPane(string $id = null, string $content = '', array $options = array()) : string | \ZendX_JQuery_View_Helper_AccordionPane

Directly add an additional pane to the accordion with $id. The title is to be given in the $options array as 'title' key. Additionally when specified with no arguments, the helper returns itsself as object making it possible to use \captureStart() and \captureEnd() methods.

### Parameters

#### $id

`string`

#### $content

`string`

#### $options

`array`

### Returns

`string``\ZendX_JQuery_View_Helper_AccordionPane`

## Finish capturing content for layout container

    captureEnd(string $id) : string

Inherited

### Parameters

#### $id

`string`

### Exceptions

`\ZendX_JQuery_View_Exception` |

### Returns

`string`

## Begin capturing content for layout container

    captureStart(string $id, string $name, array $options = array()) : boolean

Inherited

### Parameters

#### $id

`string`

#### $name

`string`

#### $options

`array`

### Exceptions

`\ZendX_JQuery_View_Exception` |

### Returns

`boolean`

## Set view and enable jQuery Core and UI libraries

    setView(\Zend_View_Interface $view) : \ZendX_JQuery_View_Helper_Widget

Inherited

### Parameters

#### $view

`\Zend_View_Interface`

### Returns

`\ZendX_JQuery_View_Helper_Widget`

## Method hooks into Accordion Container and registeres new pane

    _addPane(string $id, string $name, string $content, array $options = array())

inherited_from | \ZendX_JQuery_View_Helper_UiWidgetPane::_addPane()

### Parameters

#### $id

`string`

#### $name

`string`

#### $content

`string`

#### $options

`array`

## Add an additional pane to the current Widget Container

    _addPane(string $id, string $name, string $content, array $options = array())

Inherited

### Parameters

#### $id

`string`

#### $name

`string`

#### $content

`string`

#### $options

`array`

## Helps with building the correct Attributes Array structure.

    _prepareAttributes(String $id, String $value, Array $attribs) : Array

Inherited

### Parameters

#### $id

`String`

#### $value

`String`

#### $attribs

`Array`

### Returns

`Array`$attribs

### Properties

## Current capture additional information

    $_captureInfo : array

### Default

`array()`

## Capture Lock information

    $_captureLock : array

### Default

`array()`

## Contains reference to the jQuery view helper

    $jquery : \ZendX_JQuery_View_Helper_JQuery_Container

### Default